Returns events for a specific school calendar, optionally filtered by period.
Permissions: Unit users.
Path Parameters
- Type: integerFormat: int32school
Calendar I D requiredSigned 32-bit integers (commonly used integer type).
Query Parameters
- Type: stringFormat: date-timeperiod
Start the date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z
- Type: stringFormat: date-timeperiod
End the date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z
Headers
- Type: stringD
C Key The Integration Key generated for API Authentication by the PAR OPS support team as part of the integration/partnership process.
Responses
Request Example for get/v2/schoolCalendars/{schoolCalendarID}/events
curl /v2/schoolCalendars/1/events \
--header 'DCKey: YOUR_SECRET_TOKEN'
[
{
"ID": 1,
"SchoolCalendarID": 1,
"StartDate": "2026-10-16T20:55:07.577Z",
"EndDate": "2026-10-16T20:55:07.577Z",
"Description": null
}
]